import LetterList from "@web/src/components/models/post/list/LetterList";
import { Header } from "./Header";
import { useSearchParams } from "react-router-dom";

export default function LetterListPage() {
    const [params] = useSearchParams()
    const keyword = params.get("keyword")
    return (
        // 添加 flex flex-col 使其成为弹性布局容器
        <div className="min-h-screen shadow-elegant border-2 border-white  rounded-xl overflow-hidden bg-slate-200 flex flex-col">
            <Header />
            {/* 添加 flex-grow 使内容区域自动填充剩余空间 */}

            <LetterList search={keyword} params={{
                where: {
                    isPublic: true
                }
            }}></LetterList>
        </div>
    );
}
